Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface AgentType

All Known Implementing Classes:
  AgentTypeImpl

    public interface AgentType

Used to describe any person, group, or entity associated with the enclosing data element; the role attribute describes the agent's role: e.g., author, editor, accountant, etc. Java content class for agentType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 137)

     <complexType name="agentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <sequence>
                 <element name="prefix" type="{http://infoml.org/infomlFile}nonnullTokenType" maxOccurs="unbounded" minOccurs="0"/>
                 <element name="first" type="{http://infoml.org/infomlFile}nonnullTokenWithSeparatorType" minOccurs="0"/>
                 <element name="middle" type="{http://infoml.org/infomlFile}nonnullTokenWithSeparatorType" maxOccurs="unbounded" minOccurs="0"/>
                 <element name="surname" type="{http://infoml.org/infomlFile}nonnullTokenWithSeparatorType"/>
                 <element name="suffix" type="{http://infoml.org/infomlFile}nonnullTokenWithSeparatorType" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <sequence>
                 <element name="corporateName" type="{http://infoml.org/infomlFile}simpleRichTextType"/>
                 <element name="corporateSuffix" type="{http://infoml.org/infomlFile}simpleRichTextWithSeparatorType" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
             </choice>
             <element name="contactInfo" type="{http://infoml.org/infomlFile}contactInfoType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="customRole" type="{http://infoml.org/infomlFile}nonnullTokenType" />
           <attribute name="role" type="{http://infoml.org/infomlFile}agentRoleType" />
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`java.util.List` | `getContactInfo()` Gets the value of the ContactInfo property.
`SimpleRichTextType` | `getCorporateName()` Gets the value of the corporateName property.
`java.util.List` | `getCorporateSuffix()` Gets the value of the CorporateSuffix property.
`java.lang.String` | `getCustomRole()` Gets the value of the customRole property.
`NonnullTokenWithSeparatorType` | `getFirst()` Gets the value of the first property.
`java.util.List` | `getMiddle()` Gets the value of the Middle property.
`java.util.List` | `getPrefix()` Gets the value of the Prefix property.
`java.lang.String` | `getRole()` Gets the value of the role property.
`java.util.List` | `getSuffix()` Gets the value of the Suffix property.
`NonnullTokenWithSeparatorType` | `getSurname()` Gets the value of the surname property.
`void` | `setCorporateName(SimpleRichTextType value)` Sets the value of the corporateName property.
`void` | `setCustomRole(java.lang.String value)` Sets the value of the customRole property.
`void` | `setFirst(NonnullTokenWithSeparatorType value)` Sets the value of the first property.
`void` | `setRole(java.lang.String value)` Sets the value of the role property.
`void` | `setSurname(NonnullTokenWithSeparatorType value)` Sets the value of the surname property.

Method Detail

### getCorporateSuffix

    java.util.List getCorporateSuffix()

  Gets the value of the CorporateSuffix property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the CorporateSuffix property.

  For example, to add a new item, do as follows:

          getCorporateSuffix().add(newItem);

  Objects of the following type(s) are allowed in the list `SimpleRichTextWithSeparatorType`

### getCustomRole

    java.lang.String getCustomRole()

  Gets the value of the customRole property.

  Returns:
    possible object is `String`

### setCustomRole

    void setCustomRole(java.lang.String value)

  Sets the value of the customRole property.

  Parameters:
    `value` - allowed object is `String`

### getMiddle

    java.util.List getMiddle()

  Gets the value of the Middle property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Middle property.

  For example, to add a new item, do as follows:

          getMiddle().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithSeparatorType`

### getSuffix

    java.util.List getSuffix()

  Gets the value of the Suffix property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Suffix property.

  For example, to add a new item, do as follows:

          getSuffix().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithSeparatorType`

### getContactInfo

    java.util.List getContactInfo()

  Gets the value of the ContactInfo property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ContactInfo property.

  For example, to add a new item, do as follows:

          getContactInfo().add(newItem);

  Objects of the following type(s) are allowed in the list `ContactInfoType`

### getRole

    java.lang.String getRole()

  Gets the value of the role property.

  Returns:
    possible object is `String`

### setRole

    void setRole(java.lang.String value)

  Sets the value of the role property.

  Parameters:
    `value` - allowed object is `String`

### getSurname

    NonnullTokenWithSeparatorType getSurname()

  Gets the value of the surname property.

  Returns:
    possible object is `NonnullTokenWithSeparatorType`

### setSurname

    void setSurname(NonnullTokenWithSeparatorType value)

  Sets the value of the surname property.

  Parameters:
    `value` - allowed object is `NonnullTokenWithSeparatorType`

### getPrefix

    java.util.List getPrefix()

  Gets the value of the Prefix property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Prefix property.

  For example, to add a new item, do as follows:

          getPrefix().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### getFirst

    NonnullTokenWithSeparatorType getFirst()

  Gets the value of the first property.

  Returns:
    possible object is `NonnullTokenWithSeparatorType`

### setFirst

    void setFirst(NonnullTokenWithSeparatorType value)

  Sets the value of the first property.

  Parameters:
    `value` - allowed object is `NonnullTokenWithSeparatorType`

### getCorporateName

    SimpleRichTextType getCorporateName()

  Gets the value of the corporateName property.

  Returns:
    possible object is `SimpleRichTextType`

### setCorporateName

    void setCorporateName(SimpleRichTextType value)

  Sets the value of the corporateName property.

  Parameters:
    `value` - allowed object is `SimpleRichTextType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD